Skip site navigation (1) Skip section navigation (2)

Re: Patch to change psql default banner v6

From: "Joshua D(dot) Drake" <jd(at)commandprompt(dot)com>
To: Andrew Dunstan <andrew(at)dunslane(dot)net>
Cc: Alvaro Herrera <alvherre(at)commandprompt(dot)com>, David Fetter <david(at)fetter(dot)org>, Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>, Bruce Momjian <bruce(at)momjian(dot)us>, pgsql-patches(at)postgresql(dot)org
Subject: Re: Patch to change psql default banner v6
Date: 2008-05-16 03:33:22
Message-ID: 482D0082.4030408@commandprompt.com (view raw or flat)
Thread:
Lists: pgsql-patches
Andrew Dunstan wrote:

>> And for commands that have been added later, an initial version could
>> just say "this server version does not support this command".  It would
>> be already a huge improvement.
>>
>> Probably the biggest change would be to support versions that did not
>> have schemas, but I think it would be OK to punt on that.  We already
>> stopped supporting 7.2 anyway.
>>   
> 
> Have at it then. Prove me wrong.

IMO the problem isn't the one off support for all supported version of 
Pg... say 7.4 -> 8.4. The problem is of on going maintenance.

/me doesn't think it is worth the effort.

Sincerely,

Joshua D. Drake



In response to

Responses

pgsql-patches by date

Next:From: Tom LaneDate: 2008-05-16 03:52:30
Subject: Re: Patch to change psql default banner v6
Previous:From: Tom LaneDate: 2008-05-16 03:07:37
Subject: Re: Partial match in GIN (next vesrion)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group